Last Comment Bug 736905 - [SeaMonkey] "a11y/accessible/relations/test_ui_modalprompt.html | Test timed out."
: [SeaMonkey] "a11y/accessible/relations/test_ui_modalprompt.html | Test timed ...
Status: VERIFIED FIXED
[perma-orange]
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All All
: P2 major (vote)
: mozilla14
Assigned To: Serge Gautherie (:sgautherie)
:
: alexander :surkov
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 625056
Blocks: a11ytestdev SmTestFail 661293
  Show dependency treegraph
 
Reported: 2012-03-18 17:02 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-03-21 21:14 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
(Av1) test_ui_modalprompt.html needs to check "prompts.tab_modal.enabled" preference [Checked in: Comment 6] (1.72 KB, patch)
2012-03-20 02:15 PDT, Serge Gautherie (:sgautherie)
surkov.alexander: review+
surkov.alexander: feedback+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2012-03-18 17:02:27 PDT
I'm guessing this fails because SeaMonkey bug 625056 is not fixed yet, right?
Comment 1 alexander :surkov 2012-03-20 00:16:06 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #0)
> I'm guessing this fails because SeaMonkey bug 625056 is not fixed yet, right?

sounds right
Comment 2 Serge Gautherie (:sgautherie) 2012-03-20 02:15:22 PDT
Created attachment 607490 [details] [diff] [review]
(Av1) test_ui_modalprompt.html needs to check "prompts.tab_modal.enabled" preference
[Checked in: Comment 6]

Copied+Adapted existing code to use SpecialPowers.
Comment 3 alexander :surkov 2012-03-20 02:46:25 PDT
Comment on attachment 607490 [details] [diff] [review]
(Av1) test_ui_modalprompt.html needs to check "prompts.tab_modal.enabled" preference
[Checked in: Comment 6]

Review of attachment 607490 [details] [diff] [review]:
-----------------------------------------------------------------

::: accessible/tests/mochitest/relations/test_ui_modalprompt.html
@@ +80,5 @@
>        gQueue.invoke(); // will call SimpleTest.finish()
>      }
>  
> +    if (!hasTabModalPrompts()) {
> +      todo(false, "Test disabled when tab modal prompts are not enabled.");

SimpleTest.finish()?

I think I'd prefer
if (hasTabModalPrompts()) {
} else {
}
Comment 4 Serge Gautherie (:sgautherie) 2012-03-20 03:16:09 PDT
Comment on attachment 607490 [details] [diff] [review]
(Av1) test_ui_modalprompt.html needs to check "prompts.tab_modal.enabled" preference
[Checked in: Comment 6]

(In reply to alexander :surkov from comment #3)

> SimpleTest.finish()?

No: skipping SimpleTest.waitForExplicitFinish() instead.

> I think I'd prefer
> if (hasTabModalPrompts()) {
> } else {
> }

"I/We" usually handle the "exception" first, but I can swap that code if you insist.
Comment 5 alexander :surkov 2012-03-20 04:31:55 PDT
(In reply to Serge Gautherie (:sgautherie) from comment #4)
> Comment on attachment 607490 [details] [diff] [review]
> (Av1) test_ui_modalprompt.html needs to check "prompts.tab_modal.enabled"
> preference
> 
> (In reply to alexander :surkov from comment #3)
> 
> > SimpleTest.finish()?
> 
> No: skipping SimpleTest.waitForExplicitFinish() instead.

ok, I thought that SimpleTest.finish() is necessary part to finish a test.

> > I think I'd prefer
> > if (hasTabModalPrompts()) {
> > } else {
> > }
> 
> "I/We" usually handle the "exception" first, but I can swap that code if you
> insist.

ok, up to you
Comment 6 Serge Gautherie (:sgautherie) 2012-03-20 12:19:13 PDT
Comment on attachment 607490 [details] [diff] [review]
(Av1) test_ui_modalprompt.html needs to check "prompts.tab_modal.enabled" preference
[Checked in: Comment 6]

https://hg.mozilla.org/mozilla-central/rev/e97da8b4b939
Comment 7 Serge Gautherie (:sgautherie) 2012-03-20 12:22:20 PDT
Ftr, it succeeded as
https://tbpl.mozilla.org/?tree=Try&rev=b5edde2abb07
Comment 8 David Bolter [:davidb] 2012-03-20 12:23:59 PDT
Nice.
Comment 9 Serge Gautherie (:sgautherie) 2012-03-21 21:14:27 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1332324425.1332330787.5222.gz
Linux comm-central-trunk debug test mochitest-other on 2012/03/21 03:07:05

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.